@ECHO OFF
@ECHO.

REM **********************************
REM **  Test batch file for PreComp  **
REM **********************************


REM  Set up environment variables.  You will probably have to change these.

@SET Compare=FC
@SET DateTime=DateTime.exe
@SET Editor="C:\Program Files\TextPad 5\TextPad.exe"

@SET ProgName=PreComp
@SET Program=..\%ProgName%.exe
@SET InExt=pci
@SET OutExt1=out_gen
@SET OutExt2=out_bmd


REM  Program test sequence definition:

@SET  TEST01=Test #01: Composite blade (Space).

@SET  DASHES=---------------------------------------------------------------------------------------------
@SET  POUNDS=#############################################################################################

@IF EXIST CertTest.out  DEL CertTest.out

ECHO.                                                 >> CertTest.out
ECHO           ************************************** >> CertTest.out
ECHO           **  BModes Acceptance Test Results  ** >> CertTest.out
ECHO           ************************************** >> CertTest.out

ECHO.                                                                             >> CertTest.out
ECHO ############################################################################ >> CertTest.out
ECHO # Inspect this file for any differences between your results and the saved # >> CertTest.out
ECHO # results.  Any differing lines and the two lines surrounding them will be # >> CertTest.out
ECHO # listed.  The only differences should be the time stamps at the start of  # >> CertTest.out
ECHO # each file.                                                               # >> CertTest.out
ECHO #                                                                          # >> CertTest.out
ECHO # If you are running on something other than a PC, you may see differences # >> CertTest.out
ECHO # in the last significant digit of many of the numbers.                    # >> CertTest.out
ECHO ############################################################################ >> CertTest.out

ECHO.                                            >> CertTest.out
ECHO Date and time this acceptance test was run: >> CertTest.out
%DateTime%                                       >> CertTest.out
ECHO.                                            >> CertTest.out


rem *******************************************************

@echo %ProgName% %TEST01%

@SET TEST=01_composite_blade

rem Run %ProgName%.

%Program% Test%TEST%.%InExt% > NUL

IF ERRORLEVEL 1  GOTO ERROR

@IF NOT EXIST Test%TEST%.%OutExt1%  GOTO ERROR
@IF NOT EXIST Test%TEST%.%OutExt2%  GOTO ERROR

echo.          >> CertTest.out
echo %POUNDS%  >> CertTest.out
echo.          >> CertTest.out
echo %TEST01%  >> CertTest.out
echo %DASHES%  >> CertTest.out

%Compare% Test%TEST%.%OutExt1% TestFiles\Test%TEST%.%OutExt1% >> CertTest.out
%Compare% Test%TEST%.%OutExt2% TestFiles\Test%TEST%.%OutExt2% >> CertTest.out


rem ******************************************************
rem  Let's look at the comparisons.

%Editor% .\CertTest.out
goto END

:ERROR
@echo ** An error has occured in Test #%TEST% **

:END

@SET Compare=
@SET DASHES=
@SET DateTime=
@SET Editor=
@SET InExt=
@SET WT_Perf=
@SET OutExt1=
@SET OutExt2=
@SET POUNDS=
@SET ProgName=
@SET Program=
@SET TEST=
@SET TEST01=
@SET TEST02=

@echo 
@echo Processing complete.
