!------------------------------------------------------------------------------
MODULE Embed
USE Paras

! the following modified on March 26, 07
REAL                    :: xnode_u(max_surf_nodes)
REAL                    :: ynode_u(max_surf_nodes)
REAL                    :: xnode_l(max_surf_nodes)
REAL                    :: ynode_l(max_surf_nodes)

INTEGER                 :: newnode
INTEGER                 :: nodes_u
INTEGER                 :: nodes_l

END MODULE Embed
!------------------------------------------------------------------------------
MODULE Paras

REAL, PARAMETER         :: eps = 1.0e-10
!!REAL, PARAMETER         :: pi = 3.1415927

! the following added on March 26, 07
INTEGER, PARAMETER      :: max_laminates = 200 !user may change this ***
INTEGER, PARAMETER      :: max_sectors = 10 !user may change this ***
INTEGER, PARAMETER      :: max_af_nodes = 150 !user may change this ***
INTEGER, PARAMETER      :: max_surf_nodes = max_af_nodes
INTEGER, PARAMETER      :: max_segs = max_surf_nodes

END MODULE Paras
!------------------------------------------------------------------------------
MODULE SegInfo
USE Paras

REAL                    :: ch
REAL                    :: rle
REAL, ALLOCATABLE       :: loc_web(:)
REAL, ALLOCATABLE       :: weby_u (:)
REAL, ALLOCATABLE       :: weby_l (:)
REAL                    :: xsec_node(2,max_sectors+1)
REAL                    :: yseg   (max_segs)
REAL                    :: zseg   (max_segs)
REAL                    :: wseg   (max_segs)
REAL                    :: sthseg (max_segs)
REAL                    :: cthseg (max_segs)
REAL                    :: s2thseg(max_segs)
REAL                    :: c2thseg(max_segs)

INTEGER                 :: nseg
INTEGER                 :: nseg_l
INTEGER                 :: nseg_u
INTEGER                 :: nseg_p
INTEGER                 :: ndl1
INTEGER                 :: ndu1
INTEGER                 :: n_scts(2)
INTEGER                 :: isur(max_segs)
INTEGER                 :: idsect(max_segs)

END MODULE SegInfo
!------------------------------------------------------------------------------
MODULE TwDist

REAL, ALLOCATABLE    :: sloc    (:)
REAL, ALLOCATABLE    :: tw_aero (:)
REAL, ALLOCATABLE    :: th_prime(:)

REAL, ALLOCATABLE    :: phi_prime(:)

INTEGER              :: naf

END MODULE TwDist
!------------------------------------------------------------------------------
MODULE QBars

REAL                    :: rho_m
REAL                    :: thp
REAL                    :: qbar11
REAL                    :: qbar22
REAL                    :: qbar12
REAL                    :: qbar16
REAL                    :: qbar26
REAL                    :: qbar66
REAL, ALLOCATABLE       :: q11 (:)
REAL, ALLOCATABLE       :: q22 (:)
REAL, ALLOCATABLE       :: q12 (:)
REAL, ALLOCATABLE       :: q66 (:)
REAL, ALLOCATABLE       :: density(:)

REAL                    :: qtil(2,2)

INTEGER                 :: mat

END MODULE QBars
!------------------------------------------------------------------------------
